## zplug 2.2.0

=== Makefile ===
ZPLUG_ROOT  := $(realpath $(dir $(lastword $(MAKEFILE_LIST))))
SHOVE_URL   := https://github.com/key-amb/shove
SHOVE_DIR   := $(ZPLUG_ROOT)/.gitignore.d/shove
TEST_TARGET ?= test

.DEFAULT_GOAL := help

.PHONY: all install shove test release help

all:

install: ## Install zplug to your machine

shove: # Grab shove from GitHub and grant execution
	@if [ ! -d $(SHOVE_DIR) ]; then \
		git clone $(SHOVE_URL) $(SHOVE_DIR); \
		chmod 755 $(SHOVE_DIR)/bin/shove; \
		fi

test: shove ## Unit test for zplug
	ZPLUG_ROOT=$(ZPLUG_ROOT) $(SHOVE_DIR)/bin/shove -r $(TEST_TARGET) -s zsh

release: ## Create new GitHub Releases
	git tag \
		-a "$$_ZPLUG_VERSION" \
		-m "Release of version $$_ZPLUG_VERSION"
	git push origin $$_ZPLUG_VERSION

help: ## Self-documented Makefile
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) \
		| sort \
		| awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

## zplug 2.1.0+git20160805

=== debian/changelog ===
zplug (2.1.0+git20160805-1) unstable; urgency=low

  * Initial release. Closes: #834293

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 14 Aug 2016 20:25:06 +0800

=== debian/control ===
Source: zplug
Section: shells
Priority: optional
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://zplug.sh/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zplug.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zplug.git

Package: zplug
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zsh (>= 4.3.9),
Description: next-generation plugin manager for zsh
 zplug is a next-generation plugin manager for zsh, with the following
 features:
 .
  * Can manage everything
    * Zsh plugins/UNIX commands on GitHub and Bitbucket
    * Gist files (gist.github.com)
    * Externally managed plugins e.g., oh-my-zsh plugins/themes
    * Binary artifacts on GitHub Releases
    * Local plugins
    * etc. (you can add your own sources!)
  * Super-fast parallel installation/update
  * Support for lazy-loading
  * Branch/tag/commit support
  * Post-update, post-load hooks
  * Dependencies between packages
  * Unlike antigen, no ZSH plugin file (*.plugin.zsh) required
  * Interactive interface (fzf, peco, zaw, and so on)
  * Cache mechanism for reducing the startup time.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:
	# Remove becasue it needs to download from internet

override_dh_auto_install:

## zplug 2.2.0

=== debian/changelog ===
zplug (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 27 Aug 2016 22:15:28 +0800

zplug (2.1.0+git20160805-2) unstable; urgency=medium

  * Change Maintainer to Debian Zsh Maintainers.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Aug 2016 09:06:10 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: zplug
 Section: shells
 Priority: optional
-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9)
 Standards-Version: 3.9.8
 Homepage: https://zplug.sh/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zplug.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zplug.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zplug.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-zsh/zplug.git
 
 Package: zplug
 Architecture: all

## zplug 2.3.2

=== debian/changelog ===
zplug (2.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 14 Oct 2016 22:52:47 +0800

zplug (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 10 Oct 2016 09:51:26 +0800

zplug (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 05 Oct 2016 12:10:46 +0800

zplug (2.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 03 Oct 2016 19:13:53 +0800

zplug (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 25 Sep 2016 21:56:14 +0800

zplug (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 05 Sep 2016 01:01:15 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>=9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Homepage: https://zplug.sh/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zplug.git
@@ -12,7 +12,6 @@
 Package: zplug
 Architecture: all
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
          zsh (>= 4.3.9),
 Description: next-generation plugin manager for zsh
  zplug is a next-generation plugin manager for zsh, with the following

## zplug 2.3.3

=== debian/changelog ===
zplug (2.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 23 Nov 2016 23:00:01 +0800

## zplug 2.3.4

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 SHOVE_URL   := https://github.com/key-amb/shove
 SHOVE_DIR   := $(ZPLUG_ROOT)/.gitignore.d/shove
 TEST_TARGET ?= test
+ACCESS_TOKEN := $$GITHUB_ZPLUG_MAN_ACCESS_TOKEN
 
 .DEFAULT_GOAL := help
 
@@ -21,9 +22,19 @@
 	ZPLUG_ROOT=$(ZPLUG_ROOT) $(SHOVE_DIR)/bin/shove -r $(TEST_TARGET) -s zsh
 
 release: ## Create new GitHub Releases
-	git tag \
-		-a "$$_ZPLUG_VERSION" \
-		-m "Release of version $$_ZPLUG_VERSION"
+	curl --data \
+		'{ \
+		"tag_name": "'$$_ZPLUG_VERSION'", \
+		"target_commitish": "master", \
+		"name": "'$$_ZPLUG_VERSION'", \
+		"body": "Release of version '$$_ZPLUG_VERSION'", \
+		"draft": false, \
+		"prerelease": false \
+		}' \
+		"https://api.github.com/repos/zplug/zplug/releases?access_token=$(ACCESS_TOKEN)"
+
+patch:
+	git tag -a $$_ZPLUG_VERSION -m $$_ZPLUG_VERSION
 	git push origin $$_ZPLUG_VERSION
 
 help: ## Self-documented Makefile

=== debian/changelog ===
zplug (2.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Depends on git.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 09 Dec 2016 15:13:13 +0800

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Package: zplug
 Architecture: all
 Depends: ${misc:Depends},
+         git,
          zsh (>= 4.3.9),
 Description: next-generation plugin manager for zsh
  zplug is a next-generation plugin manager for zsh, with the following

## zplug 2.4.0

=== debian/changelog ===
zplug (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 26 Dec 2016 14:46:07 +0800

## zplug 2.4.1

=== debian/changelog ===
zplug (2.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 13 Jan 2017 17:34:10 +0800

## zplug 2.4.2

=== Makefile ===
ZPLUG_ROOT  := $(realpath $(dir $(lastword $(MAKEFILE_LIST))))
SHOVE_URL   := https://github.com/key-amb/shove
SHOVE_DIR   := $(ZPLUG_ROOT)/.gitignore.d/shove
TEST_TARGET ?= test

.DEFAULT_GOAL := help

.PHONY: all install shove test release help

all:

install: ## Install zplug to your machine

shove: # Grab shove from GitHub and grant execution
	@if [ ! -d $(SHOVE_DIR) ]; then \
		git clone $(SHOVE_URL) $(SHOVE_DIR); \
		chmod 755 $(SHOVE_DIR)/bin/shove; \
		fi

test: shove ## Unit test for zplug
	ZPLUG_ROOT=$(ZPLUG_ROOT) $(SHOVE_DIR)/bin/shove -r $(TEST_TARGET) -s zsh

release: ## Create new GitHub Releases
	@zsh $(ZPLUG_ROOT)/misc/dev/release.zsh

help: ## Self-documented Makefile
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) \
		| sort \
		| awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
zplug (2.4.2-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2.
  * d/control: Fix missing dh-exec in Build-Depends.
  * d/salsa-ci.yml: Add Salsa CI config.
  * d/gbp.conf: Use DEP14 branch name.
  * d/watch: Update watch file

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 02 Aug 2025 13:14:57 +0800

zplug (2.4.2-2) unstable; urgency=medium

  [ Axel Beckert ]
  * Team upload
  * Add patch to fix URL to oh-my-zh git repo. (Closes: #981320)
    Thanks to Antonio Tapiador for the bug report!
  * Let Homepage header point to Github repo. Old homepage seems gone.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1.
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Set "Rules-Requires-Root: no".

  [ ChangZhuo Chen (陳昌倬) ]
  * Add d/gbp.conf
    * Use DEP14 format.
  * Update d/watch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 21 Nov 2022 11:43:16 +0800

zplug (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump compat to 11.
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 30 Dec 2017 11:28:38 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Homepage: https://zplug.sh/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zplug.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-zsh/zplug.git
+Build-Depends: debhelper-compat (= 13),
+               dh-exec
+Standards-Version: 4.7.2
+Homepage: https://github.com/zplug/zplug
+Vcs-Browser: https://salsa.debian.org/debian/zplug
+Vcs-Git: https://salsa.debian.org/debian/zplug.git
+Rules-Requires-Root: no
 
 Package: zplug
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+
 override_dh_auto_test:
 	# Remove becasue it needs to download from internet

=== debian/watch ===
version=4

opts="filenamemangle=s/(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
https://github.com/zplug/@PACKAGE@/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
